#include <iostream>
using namespace std;

int main()
{
	int n, l, x, ans;
	ans = -1;
	cin >> n >> l;
	bool found = false;
	for (int i = 0; i < n; i++) {
		cin >> x;
		if (!found && l >= x) {
			found = true;
			ans = i + 1;
		}
	}
	cout << ans;
}